Apache Ant 1.10.6 发布,自动化构建工具

局长
 局长
发布于 2019年05月13日
收藏 2

Apache Ant 1.10.6 已发布,可通过 https://ant.apache.org/bindownload.cgi 下载源代码或二进制文件。

Apache Ant 目前维护着两个分支,1.9.x 系列要求 Java 5 以上,而 1.10.x 要求 Java 8 以上。1.9.x 系列主要是修复 bug,1.10.x 会增加新功能,两者都基于 Ant 1.9.7。官方推荐使用 1.10.x,除非在构建过程中需要使用 Java 8 之前的 Java 版本。

1.10.6 版本包含了几个 bug 修复程序和增强功能,包括但不限于:

  • junitlauncher 任务现在支持 fork 模式,可在一个 forked 的 JVM 中启动测试
  • 引入了新的任务 jmod 和 link 来支持 jmod 和 jlink 的 JDK 9+ 工具

详细的更新变化请查看发布公告

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 OSCHINA 社区 [http://www.oschina.net]
本文标题:Apache Ant 1.10.6 发布,自动化构建工具
加载中

精彩评论

谁知盘中薯个个皆辛苦
谁知盘中薯个个皆辛苦
现在基本用maven了

最新评论(5

Nori
Nori
还在用?这个市场应用的少了把?
mymbrooks
mymbrooks
Gradle 用的飞起
谁知盘中薯个个皆辛苦
谁知盘中薯个个皆辛苦
现在基本用maven了
OSC_rOkuRo
OSC_rOkuRo

引用来自“技术学习”的评论

还活着
tomcat就是ant构建的
技术学习
技术学习
还活着
返回顶部
顶部